<div class="container-fluid">
    <div style="height: 42px; background-color: teal; color: white;">
        {{#each subMenu}}
            <button class="btn btn-light" style="margin-top:2px;" onclick="selectedCategory('{{this.category}}')"> {{this.category}} </button>
        {{/each}}
    </div>
    <div>
        <ul class="card-align-vertical" id="category-food-items">
            {{#each foodItem}}
                <li class="card-align-vertical-li">
                    <div class="card  mb-3" style="max-width: 14rem;">
                        <div class="card-header bg-transparent text-center"> {{this.name}} </div>
                        <div class="card">
                            <img class="card-img" src="images/food-items/{{this.img_location}}" height="180px" width="100px" alt="{{this.name}}">
                            <div class="card-img-overlay">
                                {{!-- <p class="card-text">Last updated 3 mins ago</p> --}}
                            </div>
                        </div>
                        <div class="card-footer bg-transparent text-center"> 
                            <div class="row">
                                <div class="col-sm-4" style="margin-top: 8px;">
                                <span style="color: green;"> ₹  {{this.price}} </span>  
                                </div>
                                <div class="col-sm-8">
                                    <button class="btn btn-success" onclick="addToCart('{{this.pid}}')">add to cart</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </li>
            {{/each}}
        </ul>
    </div>
{{> cart-modal}}
</div>


<script type="text/javascript">
    $( document ).ready(function() {
        console.log( "ready!" );
    });

    async function selectedCategory(category){
        $('#category-food-items').html('load..');
        let getRequiredCategoryData = (await $.post('/food-items',{category:category}));
        if(getRequiredCategoryData.status == 'success'){
            let foodItem = getRequiredCategoryData.data;
            let categoryDivContent = ``;
            foodItem.map(foodItemsData=>{
                categoryDivContent +=`
                                        <li class="card-align-vertical-li"> 
                                            <div class="card  mb-3" style="max-width: 14rem;">
                                                <div class="card-header bg-transparent text-center"> ${foodItemsData.name} </div>
                                                <div class="card">
                                                    <img class="card-img" src="images/food-items/${foodItemsData.img_location}" height="180px" width="100px" alt="${foodItemsData.name}">
                                                    <div class="card-img-overlay">
                                                        {{!-- <p class="card-text">Last updated 3 mins ago</p> --}}
                                                    </div>
                                                </div>
                                                <div class="card-footer bg-transparent text-center"> 
                                                    <div class="row">
                                                        <div class="col-sm-4" style="margin-top: 8px;">
                                                        <span style="color: green;"> ₹  ${foodItemsData.price} </span>  
                                                        </div>
                                                        <div class="col-sm-8">
                                                            <button class="btn btn-success" onclick="addToCart('${foodItemsData.pid}')">add to cart</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </li>
                                    `;      
            })
            $("#category-food-items").html(categoryDivContent);
        }else{
            alert('oops something went wrong');
            window.location.reload();
        }
    }
</script>